Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1152022 - Use license macro in RPMs for packages in Cloud Image
Use license macro in RPMs for packages in Cloud Image
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
ChangeAcceptedF21 SystemWideChange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-13 07:07 EDT by Jaroslav Reznik
Modified: 2014-12-08 10:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-08 10:22:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2014-10-13 07:07:27 EDT
This is a tracking bug for Change: Use license macro in RPMs for packages in Cloud Image 
For more details, see: https://fedoraproject.org/wiki/Changes/Use_license_macro_in_RPMs_for_packages_in_Cloud_Image

Use new %license macro to separate license files from documentation, so the latter can be excluded from container images without stripping license information which must be included. 

Note: sorry for late bug creation, it wasn't picked by script.
Comment 1 Jaroslav Reznik 2014-10-14 07:33:41 EDT
This message is a reminder that Fedora 21 Change Checkpoint: 100% Code Complete Deadline (Former Accepted Changes 100% Complete) is on 2014-10-14 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a point of contingency plan. All incompleted Changes will be reported to FESCo on 2014-10-15 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/21/Schedule
Comment 2 Matthew Miller 2014-10-14 08:58:49 EDT
I believe that this is complete, but I haven't actually confirmed that it is correct for the package set in the beta.
Comment 3 Jaroslav Reznik 2014-10-15 07:21:55 EDT
Thanks, setting to ON_QA to confirm it's correct in Beta.

Note You need to log in before you can comment on or make changes to this bug.